Assign one Presentation Network to a Linux screen
PUT
/api/v1/screens/{id}/presentation-network
const url = 'https://example.com/api/v1/screens/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/presentation-network';const options = { method: 'PUT', headers: {'X-CSRF-Token': 'example', 'Content-Type': 'application/json'}, body: '{"presentationNetworkId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/api/v1/screens/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/presentation-network \ --header 'Content-Type: application/json' \ --header 'X-CSRF-Token: example' \ --data '{ "presentationNetworkId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Header Parameters
Section titled “Header Parameters”X-CSRF-Token
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
presentationNetworkId
required
string format: uuid
Examplegenerated
{ "presentationNetworkId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}Responses
Section titled “ Responses ”Assignment after replacement
Media typeapplication/json
object
data
required
object
screenId
required
string format: uuid
screenName
required
string
platform
required
string
presentationNetworkId
string format: uuid
presentationNetworkName
string
assignedAt
string format: date-time
Examplegenerated
{ "data": { "screenId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "screenName": "example", "platform": "example", "presentationNetworkId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "presentationNetworkName": "example", "assignedAt": "2026-04-15T12:00:00Z" }}Insufficient role
Screen or Presentation Network not found
Screen is not Linux